package com.ruoyi.postCheck.service;

import java.util.List;
import com.ruoyi.postCheck.domain.PostTeam;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检小组Service接口
 *
 * @author csg
 * @date 2023-12-19
 */
public interface IPostTeamService extends IService<PostTeam>
{
    /**
     * 查询岗检小组
     *
     * @param id 岗检小组主键
     * @return 岗检小组
     */
    public PostTeam selectPostTeamById(Long id);

    /**
     * 查询岗检小组列表
     *
     * @param postTeam 岗检小组
     * @return 岗检小组集合
     */
    public List<PostTeam> selectPostTeamList(PostTeam postTeam);

    /**
     * 新增岗检小组
     *
     * @param postTeam 岗检小组
     * @return 结果
     */
    public int insertPostTeam(PostTeam postTeam);

    /**
     * 修改岗检小组
     *
     * @param postTeam 岗检小组
     * @return 结果
     */
    public int updatePostTeam(PostTeam postTeam);

    /**
     * 批量删除岗检小组
     *
     * @param ids 需要删除的岗检小组主键集合
     * @return 结果
     */
    public int deletePostTeamByIds(Long[] ids);

    /**
     * 删除岗检小组信息
     *
     * @param id 岗检小组主键
     * @return 结果
     */
    public int deletePostTeamById(Long id);
}
